﻿using FreeScheduler;
using Microsoft.Extensions.DependencyInjection;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Consts;
using ZhonTai.Admin.Services.Project;
using ZhonTai.Admin.Tools.TaskScheduler;
using ZhonTai.Common.Extensions;

namespace ZhonTai.Admin.Core.Handlers
{
    /// <summary>
    /// 模块任务处理器
    /// </summary>
    public class TaskHandler : Tools.TaskScheduler.TaskHandler
    {
        public TaskHandler(IFreeSql fsql) : base(fsql)
        {

        }

        /// <summary>
        /// 公司抽成任务
        /// </summary>
        /// <param name="task"></param>
        private static async Task ModuleTask(TaskInfo task)
        {
            using var scope = TaskSchedulerServiceExtensions.ServiceProvider.GetRequiredService<IServiceScopeFactory>().CreateScope();
            var moduleService = scope.ServiceProvider.GetRequiredService<IProjectPriceService>();

            //await moduleService.ExecuteTaskCompanyDraw();            
            moduleService.ExecuteTaskCompanyDraw();
        }

        public override void OnExecuting(Scheduler scheduler, TaskInfo task)
        {
            switch (task.Topic)
            {
                //模块任务
                case TaskNames.CompanyDrawTask:
                    Task.Run(async () => {
                        await ModuleTask(task);
                    }).Wait();
                    break;
            }
        }
    }
}
