﻿using FreeSql.DataAnnotations;
using System;
using ZhonTai.Admin.Core.Entities;

namespace ZhonTai.Admin.Domain.Platform
{  
    /// <summary>
    /// 平台用户资金明细
    /// </summary>
    [Table(Name = "ditui_platform_user_bills")]
    public class UserBillsEntity : EntityTenant
    {
        /// <summary>
        /// 类型 1推广佣金 2团队佣金
        /// </summary>
        public int BillType { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        public DateTime EffectDate { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public long UserId { get; set; }
        /// <summary>
        /// 项目Id
        /// </summary>
        public long ProjectId { get; set; }
        /// <summary>
        /// 结算标准Id
        /// </summary>
        public long PriceId { get; set; }
        /// <summary>
        /// 有效数
        /// </summary>
        public int ValidCount { get; set; }
        /// <summary>
        /// 佣金
        /// </summary>
        public decimal Commission { get; set; }
        /// <summary>
        /// 变更后金额
        /// </summary>
        public decimal AfterAmount { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }               
    }
}
